#define SS 10
#include <SPI.h>
#include "__CH3_BME280spi.h"

void setup() {
   Serial.begin(115200);
   SPI.begin();
   SPI.beginTransaction(SPISettings(500000,MSBFIRST,SPI_MODE0));
   pinMode(SS,OUTPUT);
}

void loop() {
 long TEMPERATURE;
 unsigned long PRESSURE,HUMIDITY;
 
   BME280_Init();
   BME280_ReadTcoeffs();
   BME280_ReadPcoeffs();
   BME280_ReadHcoeffs();
   
   while(1){
     BME280_Read_uncompensatedT();
     TEMPERATURE = BME280_compensateT();
     Serial.print("T = ");
     Serial.print( ((float)TEMPERATURE) / 100 );
     Serial.print(" \u00B0\C\t"); // the \u00B0 is the degree symbol
     
     BME280_Read_uncompensatedH();
     HUMIDITY = BME280_compensateH(); 
     Serial.print("H = ");
     Serial.print( (float)HUMIDITY / 1024.0 );
     Serial.print(" %RH\t");

     BME280_Read_uncompensatedP();
     PRESSURE = BME280_compensateP();
     Serial.print("P = ");
     Serial.print( ((float)PRESSURE / 100000),6 );
     Serial.println(" bar");

     delay(1000);
  }
}
